using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace TFramework
{
    public class UIAnimBase
    {
        public virtual void PointerDownAnim(RectTransform rectTransform)
        {

        }

        public virtual void PointerUpAnim(RectTransform rectTransform)
        {

        }

        public virtual void OnClickAnim(RectTransform rectTransform)
        {

        }

        public virtual void EnableAnim(RectTransform rectTransform)
        {

        }

        public virtual void DisableAnim(RectTransform rectTransform)
        {

        }
    }
}
